gnome-mag: _ZoomRegionPrivate Struct Reference

# _ZoomRegionPrivate Struct Reference

`#include <zoom-region-private.h>`

## Data Fields
GList * | q
GNOME_Magnifier_RectBounds | exposed_bounds
GNOME_Magnifier_RectBounds | source_area
gpointer | parent
GtkWidget * | w
GtkWidget * | border
GdkDrawable * | source_drawable
GdkGC * | default_gc
GdkGC * | paint_cursor_gc
GdkGC * | crosswire_gc
GdkPixbuf * | source_pixbuf_cache
GdkPixbuf * | scaled_pixbuf
GdkPixmap * | pixmap
GdkPixmap * | cursor_backing_pixels
GdkRectangle | cursor_backing_rect
GdkPoint | last_cursor_pos
GdkPoint | last_drawn_crosswire_pos
GdkInterpType | gdk_interp_type
gulong | expose_handler_id
guint | update_pointer_id
guint | update_handler_id
gboolean | test

## Detailed Description

Definition at line 31 of file zoom-region-private.h.

## Field Documentation

GList* _ZoomRegionPrivate::q

Definition at line 32 of file zoom-region-private.h.

Referenced by zoom_region_coalesce_updates(), zoom_region_finalize(), zoom_region_private_init(), zoom_region_process_updates(), zoom_region_queue_update(), and zoom_region_sync().

GNOME_Magnifier_RectBounds _ZoomRegionPrivate::exposed_bounds

Definition at line 34 of file zoom-region-private.h.

Referenced by zoom_region_clip_to_exposed_target(), zoom_region_moveto(), zoom_region_paint_pixmap(), zoom_region_private_init(), zoom_region_recompute_exposed_bounds(), zoom_region_source_rect_from_view_bounds(), zoom_region_source_rect_from_view_rect(), zoom_region_update_pixmap(), zoom_region_update_scale(), and zoom_region_view_rect_from_source_rect().

GNOME_Magnifier_RectBounds _ZoomRegionPrivate::source_area

Definition at line 36 of file zoom-region-private.h.

Referenced by impl_zoom_region_set_mag_factor(), zoom_region_clip_to_exposed_target(), zoom_region_coalesce_updates(), zoom_region_create_pixmap(), zoom_region_paint_pixmap(), zoom_region_private_init(), zoom_region_set_viewport(), zoom_region_update_pixmap(), and zoom_region_update_scale().

gpointer _ZoomRegionPrivate::parent

Definition at line 37 of file zoom-region-private.h.

Referenced by impl_magnifier_create_zoom_region(), impl_zoom_region_set_mag_factor(), zoom_region_align(), zoom_region_clip_to_source(), zoom_region_create_pixmap(), zoom_region_cursor_rect(), zoom_region_finalize(), zoom_region_get_source_subwindow(), zoom_region_init_window(), zoom_region_paint_crosswire_cursor(), zoom_region_paint_cursor(), zoom_region_pan_test(), zoom_region_private_init(), zoom_region_set_viewport(), zoom_region_unpaint_crosswire_cursor(), zoom_region_update_borders(), and zoom_region_update_pointer().

GtkWidget* _ZoomRegionPrivate::w

Definition at line 38 of file zoom-region-private.h.

Referenced by impl_zoom_region_set_pointer_pos(), timing_report(), zoom_region_align(), zoom_region_calculate_scroll_rects(), zoom_region_clip_to_window(), zoom_region_create_pixmap(), zoom_region_do_dispose(), zoom_region_finalize(), zoom_region_get_source_subwindow(), zoom_region_init_window(), zoom_region_paint_crosswire_cursor(), zoom_region_paint_cursor(), zoom_region_paint_pixmap(), zoom_region_private_init(), zoom_region_scroll_fast(), zoom_region_scroll_smooth(), zoom_region_set_viewport(), zoom_region_update(), zoom_region_update_borders(), zoom_region_update_cursor(), and zoom_region_update_pixmap().

GtkWidget* _ZoomRegionPrivate::border

Definition at line 39 of file zoom-region-private.h.

Referenced by zoom_region_finalize(), zoom_region_init_window(), zoom_region_paint_border(), zoom_region_set_viewport(), and zoom_region_update_borders().

GdkDrawable* _ZoomRegionPrivate::source_drawable

Definition at line 40 of file zoom-region-private.h.

Referenced by zoom_region_get_source_subwindow(), zoom_region_private_init(), and zoom_region_set_property().

GdkGC* _ZoomRegionPrivate::default_gc

Definition at line 41 of file zoom-region-private.h.

Referenced by zoom_region_get_source_subwindow(), zoom_region_paint_cursor(), zoom_region_paint_pixmap(), zoom_region_private_init(), and zoom_region_update_pixmap().

GdkGC* _ZoomRegionPrivate::paint_cursor_gc

Definition at line 42 of file zoom-region-private.h.

Referenced by zoom_region_paint_cursor(), and zoom_region_private_init().

GdkGC* _ZoomRegionPrivate::crosswire_gc

Definition at line 43 of file zoom-region-private.h.

Referenced by zoom_region_paint_crosswire_cursor(), and zoom_region_private_init().

GdkPixbuf* _ZoomRegionPrivate::source_pixbuf_cache

Definition at line 44 of file zoom-region-private.h.

Referenced by zoom_region_finalize(), zoom_region_get_source_subwindow(), and zoom_region_private_init().

GdkPixbuf* _ZoomRegionPrivate::scaled_pixbuf

Definition at line 45 of file zoom-region-private.h.

Referenced by zoom_region_finalize(), zoom_region_private_init(), zoom_region_set_viewport(), zoom_region_update_pixmap(), and zoom_region_update_scale().

GdkPixmap* _ZoomRegionPrivate::pixmap

Definition at line 46 of file zoom-region-private.h.

Referenced by zoom_region_clip_to_scaled_pixmap(), zoom_region_create_pixmap(), zoom_region_expose_handler(), zoom_region_finalize(), zoom_region_paint_pixmap(), zoom_region_private_init(), zoom_region_set_viewport(), zoom_region_update_current(), zoom_region_update_pixmap(), and zoom_region_update_scale().

GdkPixmap* _ZoomRegionPrivate::cursor_backing_pixels

Definition at line 47 of file zoom-region-private.h.

Referenced by zoom_region_finalize(), zoom_region_paint_cursor(), and zoom_region_private_init().

GdkRectangle _ZoomRegionPrivate::cursor_backing_rect

Definition at line 48 of file zoom-region-private.h.

Referenced by zoom_region_paint_cursor(), zoom_region_private_init(), zoom_region_unpaint_cursor(), and zoom_region_update_cursor().

GdkPoint _ZoomRegionPrivate::last_cursor_pos

Definition at line 49 of file zoom-region-private.h.

Referenced by zoom_region_cursor_rect(), zoom_region_paint_crosswire_cursor(), zoom_region_private_init(), zoom_region_set_cursor_pos(), and zoom_region_update_pointer().

GdkPoint _ZoomRegionPrivate::last_drawn_crosswire_pos

Definition at line 50 of file zoom-region-private.h.

Referenced by zoom_region_paint_cursor(), zoom_region_private_init(), zoom_region_unpaint_crosswire_cursor(), and zoom_region_update_cursor().

GdkInterpType _ZoomRegionPrivate::gdk_interp_type

Definition at line 51 of file zoom-region-private.h.

Referenced by zoom_region_private_init(), zoom_region_set_property(), and zoom_region_update_pixmap().

gulong _ZoomRegionPrivate::expose_handler_id

Definition at line 52 of file zoom-region-private.h.

Referenced by zoom_region_do_dispose(), zoom_region_init_window(), and zoom_region_private_init().

guint _ZoomRegionPrivate::update_pointer_id

Definition at line 53 of file zoom-region-private.h.

Referenced by zoom_region_do_dispose(), zoom_region_init(), zoom_region_private_init(), zoom_region_set_property(), zoom_region_update_pointer_idle(), and zoom_region_update_pointer_timeout().

guint _ZoomRegionPrivate::update_handler_id

Definition at line 54 of file zoom-region-private.h.

Referenced by zoom_region_do_dispose(), zoom_region_private_init(), zoom_region_process_updates(), and zoom_region_queue_update().

gboolean _ZoomRegionPrivate::test

Definition at line 55 of file zoom-region-private.h.

Referenced by zoom_region_get_property(), zoom_region_get_source_subwindow(), zoom_region_private_init(), and zoom_region_set_property().

The documentation for this struct was generated from the following file:

- zoom-region-private.h